### Class

# SpiceClientGtk GtkSession

#### Description [src]

    final class SpiceClientGtk.GtkSession : GObject.Object
    {
      /* No available fields */
    }

The `SpiceGtkSession` struct is opaque and should not be accessed directly.

#### Ancestors

- GObject

#### Functions

###### spice_gtk_session_get

Gets the `SpiceGtkSession` associated with the passed in `SpiceSession`. A new `SpiceGtkSession` instance will be created the first time this function is called for a certain `SpiceSession`.

#### Instance methods

###### spice_gtk_session_copy_to_guest

Copy client-side clipboard to guest clipboard.

###### spice_gtk_session_paste_from_guest

Copy guest clipboard to client-side clipboard.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### SpiceClientGtk.GtkSession:auto-clipboard

When this is true the clipboard gets automatically shared between host and guest.

since: 0.8

###### SpiceClientGtk.GtkSession:auto-usbredir

Automatically redirect newly plugged in USB devices. Note the auto redirection only happens when a `SpiceDisplay` associated with the session had keyboard focus.

since: 0.8

###### SpiceClientGtk.GtkSession:pointer-grabbed

Returns `TRUE` if the pointer is currently grabbed by this session.

since: 0.27

###### SpiceClientGtk.GtkSession:session

`SpiceSession` this `SpiceGtkSession` is associated with.

since: 0.8

###### SpiceClientGtk.GtkSession:sync-modifiers

Automatically sync modifiers (Caps, Num and Scroll locks) with the guest.

since: 0.32

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpiceClientGtkGtkSessionClass {
      /* no available fields */
    }

Class structure for `SpiceGtkSession`. It is opaque and should not be accessed directly.